var MODULO = "Cuestionarios";



function ponAccion(key){

	document.forms[0].accion.value=key;

	document.forms[0].submit();

}



function onLoadPage(){

	seleccionarComboDesdeCampo("filtro(provincia)", "codProvinciaFiltro");

	document.forms[0].elements["filtro(provincia)"].focus();

	//Si volvemos desde el listado y a la ida hemos seleccionado provincia y/o municipio, los volvemos a poner

	if(document.forms[0].elements["filtro(provincia)"].value!=""){

		cargarMunMuniLauncher();

		seleccionarComboDesdeCampo("filtro(municipio)", "codMunicipioFiltro");

	}

	if (document.forms[0].elements["filtro(provincia)"].value=="C.A.E."){

		document.forms[0].elements["filtro(municipio)"].disabled = true;

	}

}



//Se llama cada vez que se selecciona una provincia en el combo

function provinciaClick() {

    if (document.forms[0].elements["filtro(provincia)"].value!="C.A.E."){

   		document.forms[0].elements["filtro(municipio)"].disabled = false;

    document.forms[0].elements["filtro(municipio)"].options.length = 0;

    addOption(document.forms[0].elements["filtro(municipio)"], "", "");

    cargarMunMuniLauncher();

	} else {

		document.forms[0].elements["filtro(municipio)"].disabled = true;

	}

    

}



//Se carga el combo de municipios a traves del Launcher

function cargarMunMuniLauncher(){

	var where = "provincia_id = "+document.forms[0].elements["filtro(provincia)"].value;		

	cargarComboDataLauncherOrdenado(MODULO,idioma,"NORA_T17_MUNICIPIO","id","ds_o", "filtro(municipio)", where, "false", true, "ds_o", "ASC");

}